#!/bin/bash

iface="$1"

if [[ -n ${iface} ]]
then
	if [ -e /sys/class/net/${iface}/address ]
	then
		identifier="$(cat /sys/class/net/${iface}/address)"
		identifier="${identifier//:}"
	fi
else
	if [ -e /var/cache/dhcp/client-identifier ]
	then
		identifier="$(< /var/cache/dhcp/client-identifier)"
	fi
fi

echo "${identifier}"
